# Update route

Update a route

Endpoint: PUT /route
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Request fields (application/json):

  - `nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `uuid` (string, required)

  - `primaryPlatformId` (string, required)

  - `language` (object)
    circular reference

  - `name` (string)

  - `time` (integer)

  - `cost` (integer)

  - `distance` (integer)

  - `expenses` (array)

  - `expenses.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `expenses.sequenceNr` (integer)

  - `expenses.quantity` (integer)

  - `expenses.name` (string)

  - `expenses.description` (string)

  - `expenses.category` (object)

  - `expenses.category.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `expenses.category.name` (string)

  - `expenses.category.creditCode` (string)

  - `expenses.category.debitCode` (string)

  - `expenses.category.defaultValue` (number)

  - `expenses.category.enabled` (boolean)

  - `expenses.category.tripRevenue` (boolean)

  - `expenses.category.identifiers` (array)

  - `expenses.category.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `expenses.category.identifiers.name` (string)

  - `expenses.category.identifiers.system` (string)

  - `expenses.category.identifiers.value` (string)

  - `expenses.category.identifiers.expiredAt` (string)

  - `expenses.business` (object)
    circular reference

  - `expenses.amount` (object)

  - `expenses.amount.amount` (number)

  - `expenses.amount.currency` (object)

  - `expenses.amount.currency.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `expenses.amount.currency.name` (string)

  - `expenses.amount.currency.short` (string)

  - `expenses.amount.currency.sign` (string)

  - `expenses.amount.currency.decimalDelimiter` (string)

  - `expenses.amount.currency.thousandDelimiter` (string)

  - `expenses.amount.currency.enabled` (boolean)

  - `expenses.amount.taxRate` (object)

  - `expenses.amount.taxRate.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `expenses.amount.taxRate.creditCode` (string)

  - `expenses.amount.taxRate.debitCode` (string)

  - `expenses.amount.taxRate.identifiers` (array)

  - `expenses.amount.taxRate.name` (string)

  - `expenses.amount.taxRate.description` (string)

  - `expenses.amount.taxRate.jurisdiction` (string)

  - `expenses.amount.taxRate.percentage` (number)

  - `expenses.amount.taxRate.inclusive` (boolean)

  - `expenses.amount.taxRate.active` (boolean)

  - `expenses.amount.inclusiveOfTax` (boolean)

  - `expenses.subTotal` (object)

  - `expenses.tax` (object)

  - `expenses.total` (object)

  - `additionalInfo` (object)

  - `lineString` (string)

  - `actors` (array)

  - `actors.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `actors.uuid` (string, required)

  - `actors.primaryPlatformId` (string, required)

  - `actors.language` (object)
    circular reference

  - `actors.name` (string)

  - `actors.user` (object)
    circular reference

  - `actors.identifiers` (array)

  - `actors.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `actors.identifiers.uuid` (string, required)

  - `actors.identifiers.primaryPlatformId` (string, required)

  - `actors.identifiers.language` (object)
    circular reference

  - `actors.identifiers.name` (string)

  - `actors.identifiers.system` (string)

  - `actors.identifiers.value` (string)

  - `actors.identifiers.expiredAt` (string)

  - `actors.contactDetails` (array)

  - `actors.contactDetails.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `actors.contactDetails.uuid` (string, required)

  - `actors.contactDetails.primaryPlatformId` (string, required)

  - `actors.contactDetails.language` (object)
    circular reference

  - `actors.contactDetails.type` (string)
    Enum: "iban", "gln", "vatCode", "name", "lastName", "middleName", "firstName", "phone", "mobilePhone", "email", "language", "other"

  - `actors.contactDetails.value` (string)

  - `actors.contactDetails.remarks` (string)

  - `actions` (array)

  - `constraints` (array)

  - `constraints.associationType` (string, required)

  - `identifiers` (array)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `route` (object)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


